#!/sbin/sh
#
#  Cloudyfa's VS980 patch
#

if grep -q "ro.product.model" /system/build.prop
then
	sed -i -e 's/ro.product.model=.*/ro.product.model=VS980 4G/g' /system/build.prop
else
	echo -e '\nro.product.model=VS980 4G\n' >> /system/build.prop
fi

if grep -q "ro.build.target_country" /system/build.prop
then
	sed -i -e 's/ro.build.target_country=.*/ro.build.target_country=US/g' /system/build.prop
else
	echo -e '\nro.build.target_country=US\n' >> /system/build.prop
fi

if grep -q "ro.telephony.default_network" /system/build.prop
then
	sed -i -e 's/ro.telephony.default_network=.*/ro.telephony.default_network=10/g' /system/build.prop
else
	echo -e '\nro.telephony.default_network=10\n' >> /system/build.prop
fi

if grep -q "telephony.lteOnCdmaDevice" /system/build.prop
then
	sed -i -e 's/telephony.lteOnCdmaDevice=.*/telephony.lteOnCdmaDevice=1/g' /system/build.prop
else
	echo -e '\ntelephony.lteOnCdmaDevice=1\n' >> /system/build.prop
fi

if grep -q "ro.cdma.home.operator.alpha" /system/build.prop
then
	sed -i -e 's/ro.cdma.home.operator.alpha=.*/ro.cdma.home.operator.alpha=Verizon/g' /system/build.prop
else
	echo -e '\nro.cdma.home.operator.alpha=Verizon\n' >> /system/build.prop
fi

if grep -q "ro.cdma.home.operator.numeric" /system/build.prop
then
	sed -i -e 's/ro.cdma.home.operator.numeric=.*/ro.cdma.home.operator.numeric=310004/g' /system/build.prop
else
	echo -e '\nro.cdma.home.operator.numeric=310004\n' >> /system/build.prop
fi

if grep -q "ro.cdma.homesystem" /system/build.prop
then
	sed -i -e 's/ro.cdma.homesystem=.*/ro.cdma.homesystem=64,65,76,77,78,79,80,81,82,83/g' /system/build.prop
else
	echo -e '\nro.cdma.homesystem=64,65,76,77,78,79,80,81,82,83\n' >> /system/build.prop
fi

rm /system/app/LGFmRadio.*
